Open a ZIP file archive

- « zip_entry_read

- zip_read »

- PHP Manual
- Zip Functions
- Open a ZIP file archive

# zip_open

(PHP 4 >= 4.1.0, PHP 5 >= 5.2.0, PHP 7, PHP 8, PECL zip >= 1.0.0)

zip_open — Open a ZIP file archive

Warning

This function has been DEPRECATED as of PHP 8.0.0. Relying on this function is highly discouraged.

### Description

#[\Deprecated]
zip_open(string `$filename`): resource|int|false

Opens a new zip archive for reading.

### Parameters

`filename`

  The file name of the ZIP archive to open.

### Return Values

Returns a resource handle for later use with zip_read() and zip_close() or returns either `false` or the number of error if `filename` does not exist or in case of other error.

### Changelog

Version | Description
--- | ---
8.0.0 | This function is deprecated in favor of the Object API, see ZipArchive::open().

### See Also

- zip_read() - Read next entry in a ZIP file archive
- zip_close() - Close a ZIP file archive